input EditProfileInput {
    givenNames: String
    surname: String
    aff: String
    title: AllowedTitle
    country: String
}

input UnsubscribeInput{
  token: String!
}

input ChangePasswordInput {
  password: String!
  oldPassword: String!
}

extend type Mutation {
  updateUser(input: EditProfileInput): Boolean
  subscribeToEmails: Boolean
  unsubscribeToEmails(input: UnsubscribeInput): Boolean
  changePassword(input: ChangePasswordInput!): Token
  unlinkOrcid: Boolean
}
